Bug 886840 - [RFE] RSDL : Add the option to set custom ticket to a VM
Summary: [RFE] RSDL : Add the option to set custom ticket to a VM
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
(Show other bugs)
Version: 3.1.0
Hardware: Unspecified Unspecified
unspecified
medium
Target Milestone: ---
: 3.3.0
Assignee: Ravi Nori
QA Contact: Barak Dagan
URL:
Whiteboard: infra
Keywords: FutureFeature, Improvement
Depends On:
Blocks: 1019470
TreeView+ depends on / blocked
 
Reported: 2012-12-13 10:27 UTC by Oded Ramraz
Modified: 2016-02-10 19:17 UTC (History)
9 users (show)

Fixed In Version: is3
Doc Type: Enhancement
Doc Text:
--no tech note required
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:11:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0038 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.3.0 update 2014-01-21 22:03:06 UTC
oVirt gerrit 11398 None None None Never

Description Oded Ramraz 2012-12-13 10:27:42 UTC
Description of problem:

We need to have the option to set custom ticket to a VM , currently only random ticket supported . 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

[RHEVM shell (connected)]# action vm 0c373c97-0a72-4e4e-a9fd-7d7d906e9531 ticket 

status-state : complete
ticket-expiry: 7200
ticket-value : AP8m2DEDrlUg

Comment 4 Barak Dagan 2013-09-16 16:52:49 UTC
Verified on is14


[RHEVM shell (connected@10.35.161.51)]# action vm c15e9da2-fb76-4549-82f1-0f930dfc0e06 ticket

status-state : complete
ticket-expiry: 7200
ticket-value : j787a82h5SPc
vm-id        : c15e9da2-fb76-4549-82f1-0f930dfc0e06

[RHEVM shell]# action vm c15e9da2-fb76-4549-82f1-0f930dfc0e06 ticket --ticket-value 1111

status-state : complete
ticket-expiry: 7200
ticket-value : 1111
vm-id        : c15e9da2-fb76-4549-82f1-0f930dfc0e06

Comment 5 Charlie 2013-11-28 00:12:06 UTC
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.

Comment 7 errata-xmlrpc 2014-01-21 17:11:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html


Note You need to log in before you can comment on or make changes to this bug.